package com.loan.system.service;

import com.loan.system.domain.dto.UserLoginDTO;
import com.loan.system.domain.entity.BizRecommender;
import com.loan.system.domain.entity.Customer;
import com.loan.system.domain.entity.User;
import com.loan.system.domain.pojo.Result;

import java.util.List;

public interface UserService {
    User getUserByMobile(String  mobile);


    List<Customer> getAllCustomers(Boolean isDelete);

    List<User> getAllUsers(Boolean isDelete);

    List<BizRecommender> getAllRecommenders(Boolean isDelete);


    //User wxLogin(UserLoginDTO userLoginDTO);

    User findByIdAndIsDelete(Long userId);

    Result get_sessionId(String code);
    User findByPhoneNumberAndIsDelete(String phoneNumber);
    boolean existsByMobileAndIsDelete(String phoneNumber);
}
